# IsoCurrency Class Reference

Inheritance diagram for IsoCurrency:
[legend]

List of all members.

## Public Member Functions

| getSign ()

## Static Public Member Functions

static | create ($id)
static | getAnyId ()
| must return any existent ID 1 should be ok for most enumerations

## Public Attributes

const | RUB = 643
const | USD = 840
const | EUR = 978
const | UAH = 980
const | ILS = 376
const | LVL = 428
const | LTL = 440
const | BYR = 974
const | EEK = 233
const | GBP = 826
const | KZT = 398
const | DKK = 208
const | SEK = 752
const | NOK = 578
const | KGS = 417

## Protected Attributes

| $names
| $signs

## Detailed Description

Definition at line 12 of file IsoCurrency.class.php.

## Member Function Documentation

static IsoCurrency::create | ( | $ | id | ) | `[static]`

Returns:
  Currency

Definition at line 69 of file IsoCurrency.class.php.

References IdentifiableObject::$id.

static IsoCurrency::getAnyId | ( |  | ) | `[static]`

must return any existent ID 1 should be ok for most enumerations

Reimplemented from Enumeration.

Definition at line 74 of file IsoCurrency.class.php.

IsoCurrency::getSign | ( |  | ) |

Definition at line 79 of file IsoCurrency.class.php.

## Member Data Documentation

IsoCurrency::$names`[protected]`

Initial value:

     array(
                self::RUB   => 'Russian Ruble',
                self::USD   => 'US Dollar',
                self::EUR   => 'Euro',
                self::UAH   => 'Hryvnia',
                self::ILS   => 'New Israeli Sheqel',
                self::LVL   => 'Latvian Lats',
                self::LTL   => 'Lithuanian Litas',
                self::BYR   => 'Belarussian Ruble',
                self::EEK   => 'Kroon',
                self::GBP   => 'Pound Sterling',
                self::KZT   => 'Tenge',
                self::DKK   => 'Danish Krone',
                self::SEK   => 'Swedish Krona',
                self::NOK   => 'Norwegian Krone',
                self::KGS   => 'Som'
            )

Reimplemented from Enumeration.

Definition at line 30 of file IsoCurrency.class.php.

IsoCurrency::$signs`[protected]`

Initial value:

     array(
                self::RUB   => 'руб.',
                self::USD   => '$',
                self::EUR   => '€',
                self::UAH   => 'грн.',
                self::ILS   => 'ILS',
                self::LVL   => 'LVL',
                self::LTL   => 'LTL',
                self::BYR   => 'BYR',
                self::EEK   => 'EEK',
                self::GBP   => 'GBP',
                self::KZT   => 'KZT',
                self::DKK   => 'DKK',
                self::SEK   => 'SEK',
                self::NOK   => 'NOK',
                self::KGS   => 'KGS'
            )

Definition at line 48 of file IsoCurrency.class.php.

const IsoCurrency::BYR = 974

Definition at line 21 of file IsoCurrency.class.php.

const IsoCurrency::DKK = 208

Definition at line 25 of file IsoCurrency.class.php.

const IsoCurrency::EEK = 233

Definition at line 22 of file IsoCurrency.class.php.

const IsoCurrency::EUR = 978

Definition at line 16 of file IsoCurrency.class.php.

const IsoCurrency::GBP = 826

Definition at line 23 of file IsoCurrency.class.php.

const IsoCurrency::ILS = 376

Definition at line 18 of file IsoCurrency.class.php.

const IsoCurrency::KGS = 417

Definition at line 28 of file IsoCurrency.class.php.

const IsoCurrency::KZT = 398

Definition at line 24 of file IsoCurrency.class.php.

const IsoCurrency::LTL = 440

Definition at line 20 of file IsoCurrency.class.php.

const IsoCurrency::LVL = 428

Definition at line 19 of file IsoCurrency.class.php.

const IsoCurrency::NOK = 578

Definition at line 27 of file IsoCurrency.class.php.

const IsoCurrency::RUB = 643

Definition at line 14 of file IsoCurrency.class.php.

const IsoCurrency::SEK = 752

Definition at line 26 of file IsoCurrency.class.php.

const IsoCurrency::UAH = 980

Definition at line 17 of file IsoCurrency.class.php.

const IsoCurrency::USD = 840

Definition at line 15 of file IsoCurrency.class.php.

The documentation for this class was generated from the following file:

- main/Base/IsoCurrency.class.php